Bug 1729164 - [wayland] Clicks in URL-bar no longer work after using WebRTC
Summary: [wayland] Clicks in URL-bar no longer work after using WebRTC
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ffwayland
TreeView+ depends on / blocked
 
Reported: 2019-07-11 13:27 UTC by Hans de Goede
Modified: 2019-09-10 08:21 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-10 08:21:14 UTC


Attachments (Terms of Use)

Description Hans de Goede 2019-07-11 13:27:19 UTC
This is with firefox 86, after and during using WebRTC and the glowing camera icon has been shown in the URL bar, clicking in the URL bar no longer works.

That is, left-clicking to focus it and changing the text works, left-clicking the history drop down arrow works, but left-clicking on the (i) icon to get site / https info no longer works, and neither does left-clicking on the "..." icon.

Right clicking works on the icons, but right-clicking in the text-field no longer gives the usual copy/paste popup-menu.

Comment 1 Martin Stransky 2019-07-23 14:38:40 UTC
Do you use HiDPI display? Can you attach your about:support? Thanks.

Comment 2 Martin Stransky 2019-07-25 14:18:53 UTC
btw. It looks like this upstream bug - https://bugzilla.mozilla.org/show_bug.cgi?id=1566876

Comment 3 Hans de Goede 2019-07-27 19:45:42 UTC
(In reply to Martin Stransky from comment #1)
> Do you use HiDPI display?

I do not use a HiDPI display, just 2 22" 1920x1080 monitors side by side.

> Can you attach your about:support?

Here you go, note this is regular firefox not firefox-wayland as I've switched back to regular firefox (mainly because of the transparent video background thingie, hopefully the koji issue blocking the fixed build will be resolved soon) :

Application Basics
------------------

Name: Firefox
Version: 68.0
Build ID: 20190710173415
User Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:68.0) Gecko/20100101 Firefox/68.0
OS: Linux 5.1.19-300.fc30.x86_64
Multiprocess Windows: 1/1 Enabled by default
Remote Processes: 4
Enterprise Policies: Inactive
Google Location Service Key: Found
Google Safebrowsing Key: Found
Mozilla Location Service Key: Found
Safe Mode: false

Firefox Features
----------------

Name: Firefox Monitor
Version: 3.0
ID: fxmonitor@mozilla.org

Name: Firefox Screenshots
Version: 39.0.0
ID: screenshots@mozilla.org

Name: Form Autofill
Version: 1.0
ID: formautofill@mozilla.org

Name: Web Compat
Version: 4.3.2
ID: webcompat@mozilla.org

Name: WebCompat Reporter
Version: 1.1.0
ID: webcompat-reporter@mozilla.org

Remote Processes
----------------

Type: Web Content
Count: 3 / 8

Type: Extension
Count: 1

Extensions
----------

Name: Amazon.com
Version: 1.1
Enabled: true
ID: amazondotcom@search.mozilla.org

Name: Bing
Version: 1.0
Enabled: true
ID: bing@search.mozilla.org

Name: DuckDuckGo
Version: 1.0
Enabled: true
ID: ddg@search.mozilla.org

Name: eBay
Version: 1.0
Enabled: true
ID: ebay@search.mozilla.org

Name: GNOME Shell integration
Version: 10.1
Enabled: true
ID: chrome-gnome-shell@gnome.org

Name: Google
Version: 1.0
Enabled: true
ID: google@search.mozilla.org

Name: HTTPS Everywhere
Version: 2019.6.27
Enabled: true
ID: https-everywhere@eff.org

Name: I don't care about cookies
Version: 3.0.3
Enabled: true
ID: jid1-KKzOGWgsW3Ao4Q@jetpack

Name: Secure Password Generator
Version: 1.0.9
Enabled: true
ID: password.generator@kolya.ca

Name: Twitter
Version: 1.0
Enabled: true
ID: twitter@search.mozilla.org

Name: uBlock Origin
Version: 1.21.2
Enabled: true
ID: uBlock0@raymondhill.net

Name: Wikipedia (en)
Version: 1.0
Enabled: true
ID: wikipedia@search.mozilla.org

Name: I'm not robot captcha clicker
Version: 1.3
Enabled: false
ID: {d7ce25e4-e6a8-433e-bb29-ec763dcd26bf}

Name: Scroll One Page Down Button
Version: 1.3
Enabled: false
ID: tb-down-page-single@codefisher.org

Name: Scroll One Page Up Button
Version: 1.3
Enabled: false
ID: tb-up-page-single@codefisher.org

Graphics
--------

Features
Compositing: Basic
Asynchronous Pan/Zoom: wheel input enabled; scrollbar drag enabled; keyboard enabled; autoscroll enabled
WebGL 1 Driver WSI Info: GLX 1.4 GLX_VENDOR(client): Mesa Project and SGI GLX_VENDOR(server): SGI Extensions: GLX_ARB_create_context GLX_ARB_create_context_no_error GLX_ARB_create_context_profile GLX_ARB_fbconfig_float GLX_ARB_framebuffer_sRGB GLX_ARB_get_proc_address GLX_ARB_multisample GLX_EXT_buffer_age GLX_EXT_create_context_es2_profile GLX_EXT_create_context_es_profile GLX_EXT_fbconfig_packed_float GLX_EXT_framebuffer_sRGB GLX_EXT_import_context GLX_EXT_texture_from_pixmap GLX_EXT_visual_info GLX_EXT_visual_rating GLX_MESA_copy_sub_buffer GLX_MESA_query_renderer GLX_MESA_swap_control GLX_OML_swap_method GLX_OML_sync_control GLX_SGIS_multisample GLX_SGIX_fbconfig GLX_SGIX_pbuffer GLX_SGIX_visual_select_group GLX_SGI_make_current_read GLX_SGI_video_sync
WebGL 1 Driver Renderer: Intel Open Source Technology Center -- Mesa DRI Intel(R) HD Graphics 530 (Skylake GT2)
WebGL 1 Driver Version: 3.0 Mesa 19.1.3
WebGL 1 Driver Extensions: GL_ARB_multisample GL_EXT_abgr GL_EXT_bgra GL_EXT_blend_color GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_copy_texture GL_EXT_subtexture GL_EXT_texture_object GL_EXT_vertex_array GL_EXT_compiled_vertex_array GL_EXT_texture GL_EXT_texture3D GL_IBM_rasterpos_clip GL_ARB_point_parameters GL_EXT_draw_range_elements GL_EXT_packed_pixels GL_EXT_point_parameters GL_EXT_rescale_normal GL_EXT_separate_specular_color GL_EXT_texture_edge_clamp GL_SGIS_generate_mipmap GL_SGIS_texture_border_clamp GL_SGIS_texture_edge_clamp GL_SGIS_texture_lod GL_ARB_framebuffer_sRGB GL_ARB_multitexture GL_EXT_framebuffer_sRGB GL_IBM_multimode_draw_arrays GL_IBM_texture_mirrored_repeat GL_3DFX_texture_compression_FXT1 GL_ARB_texture_cube_map GL_ARB_texture_env_add GL_ARB_transpose_matrix GL_EXT_blend_func_separate GL_EXT_fog_coord GL_EXT_multi_draw_arrays GL_EXT_secondary_color GL_EXT_texture_env_add GL_EXT_texture_filter_anisotropic GL_EXT_texture_lod_bias GL_INGR_blend_func_separate GL_NV_blend_square GL_NV_light_max_exponent GL_NV_texgen_reflection GL_NV_texture_env_combine4 GL_S3_s3tc GL_SUN_multi_draw_arrays GL_ARB_texture_border_clamp GL_ARB_texture_compression GL_EXT_framebuffer_object GL_EXT_texture_compression_s3tc GL_EXT_texture_env_combine GL_EXT_texture_env_dot3 GL_MESA_window_pos GL_NV_packed_depth_stencil GL_NV_texture_rectangle GL_ARB_depth_texture GL_ARB_occlusion_query GL_ARB_shadow GL_ARB_texture_env_combine GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3 GL_ARB_texture_mirrored_repeat GL_ARB_window_pos GL_EXT_stencil_two_side GL_EXT_texture_cube_map GL_NV_depth_clamp GL_NV_fog_distance GL_APPLE_packed_pixels GL_ARB_draw_buffers GL_ARB_fragment_program GL_ARB_fragment_shader GL_ARB_shader_objects GL_ARB_vertex_program GL_ARB_vertex_shader GL_ATI_draw_buffers GL_ATI_texture_env_combine3 GL_ATI_texture_float GL_EXT_shadow_funcs GL_EXT_stencil_wrap GL_MESA_pack_invert GL_NV_primitive_restart GL_ARB_depth_clamp GL_ARB_fragment_program_shadow GL_ARB_half_float_pixel GL_ARB_occlusion_query2 GL_ARB_point_sprite GL_ARB_shading_language_100 GL_ARB_sync GL_ARB_texture_non_power_of_two GL_ARB_vertex_buffer_object GL_ATI_blend_equation_separate GL_EXT_blend_equation_separate GL_OES_read_format GL_ARB_color_buffer_float GL_ARB_pixel_buffer_object GL_ARB_texture_compression_rgtc GL_ARB_texture_float GL_ARB_texture_rectangle GL_EXT_packed_float GL_EXT_pixel_buffer_object GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_rgtc GL_EXT_texture_rectangle GL_EXT_texture_sRGB GL_EXT_texture_shared_exponent GL_ARB_framebuffer_object GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample GL_EXT_packed_depth_stencil GL_APPLE_object_purgeable GL_ARB_vertex_array_object GL_ATI_separate_stencil GL_EXT_draw_buffers2 GL_EXT_draw_instanced GL_EXT_gpu_program_parameters GL_EXT_texture_array GL_EXT_texture_integer GL_EXT_texture_sRGB_decode GL_EXT_timer_query GL_OES_EGL_image GL_AMD_texture_texture4 GL_ARB_copy_buffer GL_ARB_depth_buffer_float GL_ARB_draw_instanced GL_ARB_half_float_vertex GL_ARB_instanced_arrays GL_ARB_map_buffer_range GL_ARB_texture_rg GL_ARB_texture_swizzle GL_ARB_vertex_array_bgra GL_EXT_texture_swizzle GL_EXT_vertex_array_bgra GL_NV_conditional_render GL_AMD_conservative_depth GL_AMD_depth_clamp_separate GL_AMD_draw_buffers_blend GL_AMD_seamless_cubemap_per_texture GL_AMD_shader_stencil_export GL_ARB_ES2_compatibility GL_ARB_blend_func_extended GL_ARB_debug_output GL_ARB_draw_buffers_blend GL_ARB_draw_elements_base_vertex GL_ARB_explicit_attrib_location GL_ARB_fragment_coord_conventions GL_ARB_provoking_vertex GL_ARB_sample_shading GL_ARB_sampler_objects GL_ARB_seamless_cube_map GL_ARB_shader_stencil_export GL_ARB_shader_texture_lod GL_ARB_texture_cube_map_array GL_ARB_texture_gather GL_ARB_texture_multisample GL_ARB_texture_query_lod GL_ARB_texture_rgb10_a2ui GL_ARB_uniform_buffer_object GL_ARB_vertex_type_2_10_10_10_rev GL_EXT_provoking_vertex GL_EXT_texture_snorm GL_MESA_texture_signed_rgba GL_NV_texture_barrier GL_ARB_draw_indirect GL_ARB_get_program_binary GL_ARB_robustness GL_ARB_separate_shader_objects GL_ARB_shader_bit_encoding GL_ARB_shader_precision GL_ARB_texture_compression_bptc GL_ARB_timer_query GL_ARB_transform_feedback2 GL_ARB_transform_feedback3 GL_AMD_multi_draw_indirect GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ARB_compressed_texture_pixel_storage GL_ARB_conservative_depth GL_ARB_internalformat_query GL_ARB_map_buffer_alignment GL_ARB_shader_atomic_counters GL_ARB_shader_image_load_store GL_ARB_shading_language_420pack GL_ARB_shading_language_packing GL_ARB_texture_storage GL_ARB_transform_feedback_instanced GL_EXT_framebuffer_multisample_blit_scaled GL_EXT_transform_feedback GL_AMD_query_buffer_object GL_AMD_shader_trinary_minmax GL_ARB_ES3_compatibility GL_ARB_arrays_of_arrays GL_ARB_clear_buffer_object GL_ARB_compute_shader GL_ARB_copy_image GL_ARB_explicit_uniform_location GL_ARB_fragment_layer_viewport GL_ARB_framebuffer_no_attachments GL_ARB_invalidate_subdata GL_ARB_multi_draw_indirect GL_ARB_program_interface_query GL_ARB_robust_buffer_access_behavior GL_ARB_shader_image_size GL_ARB_shader_storage_buffer_object GL_ARB_stencil_texturing GL_ARB_texture_query_levels GL_ARB_texture_storage_multisample GL_ARB_texture_view GL_ARB_vertex_attrib_binding GL_KHR_debug GL_KHR_robustness GL_KHR_texture_compression_astc_ldr GL_ARB_buffer_storage GL_ARB_clear_texture GL_ARB_indirect_parameters GL_ARB_internalformat_query2 GL_ARB_multi_bind GL_ARB_query_buffer_object GL_ARB_seamless_cubemap_per_texture GL_ARB_shader_draw_parameters GL_ARB_shader_group_vote GL_ARB_texture_mirror_clamp_to_edge GL_ARB_texture_stencil8 GL_ARB_vertex_type_10f_11f_11f_rev GL_EXT_shader_framebuffer_fetch GL_EXT_shader_integer_mix GL_INTEL_performance_query GL_ARB_ES3_1_compatibility GL_ARB_clip_control GL_ARB_conditional_render_inverted GL_ARB_cull_distance GL_ARB_derivative_control GL_ARB_get_texture_sub_image GL_ARB_pipeline_statistics_query GL_ARB_shader_texture_image_samples GL_ARB_texture_barrier GL_ARB_transform_feedback_overflow_query GL_EXT_polygon_offset_clamp GL_KHR_blend_equation_advanced GL_KHR_blend_equation_advanced_coherent GL_KHR_context_flush_control GL_KHR_robust_buffer_access_behavior GL_ARB_fragment_shader_interlock GL_ARB_parallel_shader_compile GL_ARB_post_depth_coverage GL_ARB_shader_atomic_counter_ops GL_ARB_shader_ballot GL_ARB_shader_clock GL_EXT_shader_samples_identical GL_KHR_no_error GL_KHR_texture_compression_astc_sliced_3d GL_NV_fragment_shader_interlock GL_MESA_shader_integer_functions GL_ARB_polygon_offset_clamp GL_ARB_texture_filter_anisotropic GL_KHR_parallel_shader_compile GL_EXT_shader_framebuffer_fetch_non_coherent GL_EXT_texture_sRGB_R8 GL_INTEL_shader_atomic_float_minmax GL_NV_compute_shader_derivatives
WebGL 1 Extensions: ANGLE_instanced_arrays EXT_blend_minmax EXT_color_buffer_half_float EXT_disjoint_timer_query EXT_float_blend EXT_frag_depth EXT_shader_texture_lod EXT_sRGB EXT_texture_compression_bptc EXT_texture_compression_rgtc EXT_texture_filter_anisotropic OES_element_index_uint OES_standard_derivatives OES_texture_float OES_texture_float_linear OES_texture_half_float OES_texture_half_float_linear OES_vertex_array_object WEBGL_color_buffer_float WEBGL_compressed_texture_astc WEBGL_compressed_texture_etc WEBGL_compressed_texture_s3tc WEBGL_compressed_texture_s3tc_srgb WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_depth_texture WEBGL_draw_buffers WEBGL_lose_context
WebGL 2 Driver WSI Info: GLX 1.4 GLX_VENDOR(client): Mesa Project and SGI GLX_VENDOR(server): SGI Extensions: GLX_ARB_create_context GLX_ARB_create_context_no_error GLX_ARB_create_context_profile GLX_ARB_fbconfig_float GLX_ARB_framebuffer_sRGB GLX_ARB_get_proc_address GLX_ARB_multisample GLX_EXT_buffer_age GLX_EXT_create_context_es2_profile GLX_EXT_create_context_es_profile GLX_EXT_fbconfig_packed_float GLX_EXT_framebuffer_sRGB GLX_EXT_import_context GLX_EXT_texture_from_pixmap GLX_EXT_visual_info GLX_EXT_visual_rating GLX_MESA_copy_sub_buffer GLX_MESA_query_renderer GLX_MESA_swap_control GLX_OML_swap_method GLX_OML_sync_control GLX_SGIS_multisample GLX_SGIX_fbconfig GLX_SGIX_pbuffer GLX_SGIX_visual_select_group GLX_SGI_make_current_read GLX_SGI_video_sync
WebGL 2 Driver Renderer: Intel Open Source Technology Center -- Mesa DRI Intel(R) HD Graphics 530 (Skylake GT2)
WebGL 2 Driver Version: 4.5 (Core Profile) Mesa 19.1.3
WebGL 2 Driver Extensions: GL_3DFX_texture_compression_FXT1 GL_AMD_conservative_depth GL_AMD_depth_clamp_separate GL_AMD_draw_buffers_blend GL_AMD_gpu_shader_int64 GL_AMD_multi_draw_indirect GL_AMD_query_buffer_object GL_AMD_seamless_cubemap_per_texture GL_AMD_shader_stencil_export GL_AMD_shader_trinary_minmax GL_AMD_texture_texture4 GL_AMD_vertex_shader_layer GL_AMD_vertex_shader_viewport_index GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_APPLE_object_purgeable GL_ARB_ES2_compatibility GL_ARB_ES3_1_compatibility GL_ARB_ES3_2_compatibility GL_ARB_ES3_compatibility GL_ARB_arrays_of_arrays GL_ARB_base_instance GL_ARB_blend_func_extended GL_ARB_buffer_storage GL_ARB_clear_buffer_object GL_ARB_clear_texture GL_ARB_clip_control GL_ARB_compressed_texture_pixel_storage GL_ARB_compute_shader GL_ARB_conditional_render_inverted GL_ARB_conservative_depth GL_ARB_copy_buffer GL_ARB_copy_image GL_ARB_cull_distance GL_ARB_debug_output GL_ARB_depth_buffer_float GL_ARB_depth_clamp GL_ARB_derivative_control GL_ARB_direct_state_access GL_ARB_draw_buffers GL_ARB_draw_buffers_blend GL_ARB_draw_elements_base_vertex GL_ARB_draw_indirect GL_ARB_draw_instanced GL_ARB_enhanced_layouts GL_ARB_explicit_attrib_location GL_ARB_explicit_uniform_location GL_ARB_fragment_coord_conventions GL_ARB_fragment_layer_viewport GL_ARB_fragment_shader GL_ARB_fragment_shader_interlock GL_ARB_framebuffer_no_attachments GL_ARB_framebuffer_object GL_ARB_framebuffer_sRGB GL_ARB_get_program_binary GL_ARB_get_texture_sub_image GL_ARB_gpu_shader5 GL_ARB_gpu_shader_fp64 GL_ARB_gpu_shader_int64 GL_ARB_half_float_pixel GL_ARB_half_float_vertex GL_ARB_indirect_parameters GL_ARB_instanced_arrays GL_ARB_internalformat_query GL_ARB_internalformat_query2 GL_ARB_invalidate_subdata GL_ARB_map_buffer_alignment GL_ARB_map_buffer_range GL_ARB_multi_bind GL_ARB_multi_draw_indirect GL_ARB_occlusion_query2 GL_ARB_parallel_shader_compile GL_ARB_pipeline_statistics_query GL_ARB_pixel_buffer_object GL_ARB_point_sprite GL_ARB_polygon_offset_clamp GL_ARB_post_depth_coverage GL_ARB_program_interface_query GL_ARB_provoking_vertex GL_ARB_query_buffer_object GL_ARB_robust_buffer_access_behavior GL_ARB_robustness GL_ARB_sample_shading GL_ARB_sampler_objects GL_ARB_seamless_cube_map GL_ARB_seamless_cubemap_per_texture GL_ARB_separate_shader_objects GL_ARB_shader_atomic_counter_ops GL_ARB_shader_atomic_counters GL_ARB_shader_ballot GL_ARB_shader_bit_encoding GL_ARB_shader_clock GL_ARB_shader_draw_parameters GL_ARB_shader_group_vote GL_ARB_shader_image_load_store GL_ARB_shader_image_size GL_ARB_shader_objects GL_ARB_shader_precision GL_ARB_shader_stencil_export GL_ARB_shader_storage_buffer_object GL_ARB_shader_subroutine GL_ARB_shader_texture_image_samples GL_ARB_shader_texture_lod GL_ARB_shader_viewport_layer_array GL_ARB_shading_language_420pack GL_ARB_shading_language_packing GL_ARB_stencil_texturing GL_ARB_sync GL_ARB_tessellation_shader GL_ARB_texture_barrier GL_ARB_texture_buffer_object GL_ARB_texture_buffer_object_rgb32 GL_ARB_texture_buffer_range GL_ARB_texture_compression_bptc GL_ARB_texture_compression_rgtc GL_ARB_texture_cube_map_array GL_ARB_texture_filter_anisotropic GL_ARB_texture_float GL_ARB_texture_gather GL_ARB_texture_mirror_clamp_to_edge GL_ARB_texture_multisample GL_ARB_texture_non_power_of_two GL_ARB_texture_query_levels GL_ARB_texture_query_lod GL_ARB_texture_rectangle GL_ARB_texture_rg GL_ARB_texture_rgb10_a2ui GL_ARB_texture_stencil8 GL_ARB_texture_storage GL_ARB_texture_storage_multisample GL_ARB_texture_swizzle GL_ARB_texture_view GL_ARB_timer_query GL_ARB_transform_feedback2 GL_ARB_transform_feedback3 GL_ARB_transform_feedback_instanced GL_ARB_transform_feedback_overflow_query GL_ARB_uniform_buffer_object GL_ARB_vertex_array_bgra GL_ARB_vertex_array_object GL_ARB_vertex_attrib_64bit GL_ARB_vertex_attrib_binding GL_ARB_vertex_buffer_object GL_ARB_vertex_shader GL_ARB_vertex_type_10f_11f_11f_rev GL_ARB_vertex_type_2_10_10_10_rev GL_ARB_viewport_array GL_ATI_blend_equation_separate GL_ATI_texture_float GL_EXT_abgr GL_EXT_blend_equation_separate GL_EXT_draw_buffers2 GL_EXT_draw_instanced GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample GL_EXT_framebuffer_multisample_blit_scaled GL_EXT_framebuffer_object GL_EXT_framebuffer_sRGB GL_EXT_packed_depth_stencil GL_EXT_packed_float GL_EXT_pixel_buffer_object GL_EXT_polygon_offset_clamp GL_EXT_provoking_vertex GL_EXT_shader_framebuffer_fetch GL_EXT_shader_framebuffer_fetch_non_coherent GL_EXT_shader_integer_mix GL_EXT_shader_samples_identical GL_EXT_texture_array GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_rgtc GL_EXT_texture_compression_s3tc GL_EXT_texture_filter_anisotropic GL_EXT_texture_integer GL_EXT_texture_sRGB GL_EXT_texture_sRGB_R8 GL_EXT_texture_sRGB_decode GL_EXT_texture_shared_exponent GL_EXT_texture_snorm GL_EXT_texture_swizzle GL_EXT_timer_query GL_EXT_transform_feedback GL_EXT_vertex_array_bgra GL_EXT_vertex_attrib_64bit GL_IBM_multimode_draw_arrays GL_INTEL_conservative_rasterization GL_INTEL_performance_query GL_INTEL_shader_atomic_float_minmax GL_KHR_blend_equation_advanced GL_KHR_blend_equation_advanced_coherent GL_KHR_context_flush_control GL_KHR_debug GL_KHR_no_error GL_KHR_parallel_shader_compile GL_KHR_robust_buffer_access_behavior GL_KHR_robustness GL_KHR_texture_compression_astc_ldr GL_KHR_texture_compression_astc_sliced_3d GL_MESA_pack_invert GL_MESA_shader_integer_functions GL_MESA_texture_signed_rgba GL_NV_compute_shader_derivatives GL_NV_conditional_render GL_NV_depth_clamp GL_NV_fragment_shader_interlock GL_NV_packed_depth_stencil GL_NV_texture_barrier GL_OES_EGL_image GL_S3_s3tc
WebGL 2 Extensions: EXT_color_buffer_float EXT_disjoint_timer_query EXT_float_blend EXT_texture_compression_bptc EXT_texture_compression_rgtc EXT_texture_filter_anisotropic OES_texture_float_linear WEBGL_compressed_texture_astc WEBGL_compressed_texture_etc WEBGL_compressed_texture_s3tc WEBGL_compressed_texture_s3tc_srgb WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_lose_context
Window Protocol: x11
Off Main Thread Painting Enabled: true
Off Main Thread Painting Worker Count: 3
Target Frame Rate: 60
GPU #1
Active: Yes
Description: Mesa DRI Intel(R) HD Graphics 530 (Skylake GT2)
Vendor ID: 0x8086
Device ID: 0x1912
Driver Vendor: mesa/unknown
Driver Version: 19.1.3.0
RAM: 3072MB

Diagnostics
AzureCanvasBackend: skia
AzureContentBackend: skia
AzureFallbackCanvasBackend: none
CairoUseXRender: 0
Decision Log
HW_COMPOSITING:
blocked by env: Acceleration blocked by platform
OPENGL_COMPOSITING:
unavailable by default: Hardware compositing is disabled
WEBRENDER:
opt-in by default: WebRender is an opt-in feature
WEBRENDER_QUALIFIED:
blocked-vendor-unsupported by env: Unsupported vendor




Media
-----

Audio Backend: remote
Max Channels: 2
Preferred Sample Rate: 44100
Output Devices
Name: Group
PCM2704 16-bit stereo audio DAC Analog Stereo: /devices/pci0000:00/0000:00:14.0/usb1/1-6/1-6:1.0/sound/card2
Built-in Audio Analog Stereo: /devices/pci0000:00/0000:00:1f.3/sound/card0
Input Devices
Name: Group
Monitor of PCM2704 16-bit stereo audio DAC Analog Stereo: /devices/pci0000:00/0000:00:14.0/usb1/1-6/1-6:1.0/sound/card2
Bt878 Audio Capture (WinTV Series) Stereo: /devices/pci0000:00/0000:00:1d.1/0000:03:00.0/0000:04:00.1/sound/card1
Monitor of Built-in Audio Analog Stereo: /devices/pci0000:00/0000:00:1f.3/sound/card0
Built-in Audio Analog Stereo: /devices/pci0000:00/0000:00:1f.3/sound/card0

Important Modified Preferences
------------------------------

accessibility.typeaheadfind.flashBar: 0
browser.cache.disk.amount_written: 1509898
browser.cache.disk.capacity: 1048576
browser.cache.disk.filesystem_reported: 1
browser.cache.disk.hashstats_reported: 1
browser.cache.disk.smart_size_cached_value: 358400
browser.cache.disk.smart_size.first_run: false
browser.cache.disk.smart_size.use_old_max: false
browser.cache.disk.telemetry_report_ID: 7
browser.cache.frecency_experiment: 2
browser.download.folderList: 2
browser.places.createdSmartBookmarks: true
browser.places.importBookmarksHTML: false
browser.places.importDefaults: false
browser.places.leftPaneFolderId: -1
browser.places.migratePostDataAnnotations: false
browser.places.smartBookmarksVersion: 8
browser.places.updateRecentTagsUri: false
browser.privatebrowsing.dont_prompt_on_enter: true
browser.search.suggest.enabled: false
browser.search.update: false
browser.search.useDBForOrder: true
browser.sessionstore.upgradeBackup.latestBuildID: 20190710173415
browser.startup.homepage: http://lwn.net/Articles/
browser.startup.homepage_override.buildID: 20190710173415
browser.startup.homepage_override.mstone: 68.0
browser.tabs.crashReporting.sendReport: false
browser.tabs.drawInTitlebar: true
browser.tabs.remote.autostart.2: true
browser.tabs.warnOnClose: false
browser.urlbar.matchBuckets: general:5,suggestion:Infinity
browser.urlbar.oneOffSearches: false
browser.urlbar.placeholderName: DuckDuckGo
browser.urlbar.searchSuggestionsChoice: false
browser.urlbar.suggest.openpage: false
browser.urlbar.suggest.searches: false
dom.apps.lastUpdate.buildID: 20161031141208
dom.apps.lastUpdate.mstone: 49.0.2
dom.apps.reset-permissions: true
dom.max_script_run_time: 0
dom.mozApps.used: true
dom.push.userAgentID: 72042494b8614b9d86959e147cdbd919
dom.w3c_touch_events.expose: false
extensions.lastAppVersion: 68.0
font.internaluseonly.changed: true
font.minimum-size.x-western: 14
font.name.monospace.x-western: MiscFixed
font.name.sans-serif.x-western: Nimbus Sans L
font.name.serif.x-western: Nimbus Sans L
gfx.blacklist.suggested-driver-version: <Anything with EXT_texture_from_pixmap support>
gfx.crash-guard.glcontext.appVersion: 45.0.2
gfx.crash-guard.glcontext.deviceID: Mesa DRI Intel(R) HD Graphics 530 (Skylake GT2)
gfx.crash-guard.glcontext.driverVersion: 3.0 Mesa 11.2.0 (git-e7fb889)
gfx.crash-guard.status.glcontext: 2
idle.lastDailyNotification: 1564252197
keyword.enabled: false
media.benchmark.vp9.fps: 188
media.benchmark.vp9.versioncheck: 5
media.eme.enabled: true
media.gmp-gmpopenh264.abi: x86_64-gcc3
media.gmp-gmpopenh264.lastUpdate: 1558688999
media.gmp-gmpopenh264.version: 1.8.1
media.gmp-manager.buildID: 20190710173415
media.gmp-manager.lastCheck: 1564179867
media.gmp-widevinecdm.abi: x86_64-gcc3
media.gmp-widevinecdm.lastUpdate: 1562846374
media.gmp-widevinecdm.version: 4.10.1440.18
media.gmp.storage.version.observed: 1
network.cookie.cookieBehavior: 4
network.cookie.prefsMigrated: true
network.dns.disablePrefetch: true
network.http.speculative-parallel-limit: 0
network.negotiate-auth.delegation-uris: .redhat.com
network.predictor.cleaned-up: true
network.predictor.enabled: false
network.prefetch-next: false
places.database.lastMaintenance: 1563709662
places.history.expiration.transient_current_max_pages: 143249
plugin.disable_full_page_plugin_for_types: audio/mpeg,application/pdf
plugin.importedState: true
plugin.soname.list: libXt.so:libXext.so
plugin.state.libnsispicec: 1
plugin.state.librhythmbox-itms-detection-plugin: 1
plugin.state.libtotem-cone-plugin: 1
plugin.state.libtotem-gmp-plugin: 1
plugin.state.libtotem-mully-plugin: 1
plugin.state.libtotem-narrowspace-plugin: 1
plugin.state.npwrapper: 1
plugins.ctprollout.cohort: early-adopter-ctp
print.print_bgcolor: false
print.print_bgimages: false
print.print_colorspace: default
print.print_downloadfonts: false
print.print_duplex: 0
print.print_evenpages: true
print.print_margin_bottom: 0.5
print.print_margin_left: 0.5
print.print_margin_right: 0.5
print.print_margin_top: 0.5
print.print_oddpages: true
print.print_orientation: 0
print.print_page_delay: 50
print.print_pagedelay: 500
print.print_paper_data: 0
print.print_paper_height: 297,00
print.print_paper_name: iso_a4
print.print_paper_size_type: 1
print.print_paper_size_unit: 1
print.print_paper_width: 210,00
print.print_plex_name: default
print.print_printer: Brother-HL-2140
print.print_resolution_name: default
print.print_scaling: 1,00
print.print_shrink_to_fit: true
print.print_to_file: false
print.print_unwriteable_margin_bottom: 50
print.print_unwriteable_margin_left: 13
print.print_unwriteable_margin_right: 13
print.print_unwriteable_margin_top: 13
print.tmp.printerfeatures.CUPS/Brother-HL-2140.can_change_colorspace: false
print.tmp.printerfeatures.CUPS/Brother-HL-2140.can_change_downloadfonts: false
print.tmp.printerfeatures.CUPS/Brother-HL-2140.can_change_jobtitle: false
print.tmp.printerfeatures.CUPS/Brother-HL-2140.can_change_num_copies: true
print.tmp.printerfeatures.CUPS/Brother-HL-2140.can_change_orientation: true
print.tmp.printerfeatures.CUPS/Brother-HL-2140.can_change_paper_size: true
print.tmp.printerfeatures.CUPS/Brother-HL-2140.can_change_plex: false
print.tmp.printerfeatures.CUPS/Brother-HL-2140.can_change_printincolor: true
print.tmp.printerfeatures.CUPS/Brother-HL-2140.can_change_resolution: false
print.tmp.printerfeatures.CUPS/Brother-HL-2140.can_change_spoolercommand: false
print.tmp.printerfeatures.CUPS/Brother-HL-2140.colorspace.0.name: default
print.tmp.printerfeatures.CUPS/Brother-HL-2140.colorspace.count: 1
print.tmp.printerfeatures.CUPS/Brother-HL-2140.has_special_printerfeatures: true
print.tmp.printerfeatures.CUPS/Brother-HL-2140.orientation.0.name: portrait
print.tmp.printerfeatures.CUPS/Brother-HL-2140.orientation.1.name: landscape
print.tmp.printerfeatures.CUPS/Brother-HL-2140.orientation.count: 2
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.0.height_mm: 210
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.0.is_inch: false
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.0.name: A5
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.0.width_mm: 148
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.1.height_mm: 297
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.1.is_inch: false
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.1.name: A4
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.1.width_mm: 210
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.2.height_mm: 420
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.2.is_inch: false
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.2.name: A3
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.2.width_mm: 297
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.3.height_mm: 279
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.3.is_inch: true
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.3.name: Letter
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.3.width_mm: 215
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.4.height_mm: 355
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.4.is_inch: true
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.4.name: Legal
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.4.width_mm: 215
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.5.height_mm: 431
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.5.is_inch: true
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.5.name: Tabloid
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.5.width_mm: 279
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.6.height_mm: 254
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.6.is_inch: true
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.6.name: Executive
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.6.width_mm: 190
print.tmp.printerfeatures.CUPS/Brother-HL-2140.paper.count: 7
print.tmp.printerfeatures.CUPS/Brother-HL-2140.plex.0.name: default
print.tmp.printerfeatures.CUPS/Brother-HL-2140.plex.count: 1
print.tmp.printerfeatures.CUPS/Brother-HL-2140.resolution.0.name: default
print.tmp.printerfeatures.CUPS/Brother-HL-2140.resolution.count: 1
print.tmp.printerfeatures.CUPS/Brother-HL-2140.supports_colorspace_change: false
print.tmp.printerfeatures.CUPS/Brother-HL-2140.supports_downloadfonts_change: false
print.tmp.printerfeatures.CUPS/Brother-HL-2140.supports_jobtitle_change: false
print.tmp.printerfeatures.CUPS/Brother-HL-2140.supports_orientation_change: true
print.tmp.printerfeatures.CUPS/Brother-HL-2140.supports_paper_size_change: true
print.tmp.printerfeatures.CUPS/Brother-HL-2140.supports_plex_change: false
print.tmp.printerfeatures.CUPS/Brother-HL-2140.supports_printincolor_change: true
print.tmp.printerfeatures.CUPS/Brother-HL-2140.supports_resolution_change: false
print.tmp.printerfeatures.CUPS/Brother-HL-2140.supports_spoolercommand_change: false
print.tmp.printerfeatures.CUPS/psc_1300_series.can_change_colorspace: false
print.tmp.printerfeatures.CUPS/psc_1300_series.can_change_downloadfonts: false
print.tmp.printerfeatures.CUPS/psc_1300_series.can_change_jobtitle: false
print.tmp.printerfeatures.CUPS/psc_1300_series.can_change_num_copies: true
print.tmp.printerfeatures.CUPS/psc_1300_series.can_change_orientation: true
print.tmp.printerfeatures.CUPS/psc_1300_series.can_change_paper_size: true
print.tmp.printerfeatures.CUPS/psc_1300_series.can_change_plex: false
print.tmp.printerfeatures.CUPS/psc_1300_series.can_change_printincolor: true
print.tmp.printerfeatures.CUPS/psc_1300_series.can_change_resolution: false
print.tmp.printerfeatures.CUPS/psc_1300_series.can_change_spoolercommand: false
print.tmp.printerfeatures.CUPS/psc_1300_series.colorspace.0.name: default
print.tmp.printerfeatures.CUPS/psc_1300_series.colorspace.count: 1
print.tmp.printerfeatures.CUPS/psc_1300_series.has_special_printerfeatures: true
print.tmp.printerfeatures.CUPS/psc_1300_series.orientation.0.name: portrait
print.tmp.printerfeatures.CUPS/psc_1300_series.orientation.1.name: landscape
print.tmp.printerfeatures.CUPS/psc_1300_series.orientation.count: 2
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.0.height_mm: 210
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.0.is_inch: false
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.0.name: A5
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.0.width_mm: 148
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.1.height_mm: 297
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.1.is_inch: false
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.1.name: A4
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.1.width_mm: 210
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.2.height_mm: 420
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.2.is_inch: false
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.2.name: A3
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.2.width_mm: 297
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.3.height_mm: 279
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.3.is_inch: true
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.3.name: Letter
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.3.width_mm: 215
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.4.height_mm: 355
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.4.is_inch: true
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.4.name: Legal
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.4.width_mm: 215
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.5.height_mm: 431
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.5.is_inch: true
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.5.name: Tabloid
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.5.width_mm: 279
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.6.height_mm: 254
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.6.is_inch: true
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.6.name: Executive
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.6.width_mm: 190
print.tmp.printerfeatures.CUPS/psc_1300_series.paper.count: 7
print.tmp.printerfeatures.CUPS/psc_1300_series.plex.0.name: default
print.tmp.printerfeatures.CUPS/psc_1300_series.plex.count: 1
print.tmp.printerfeatures.CUPS/psc_1300_series.resolution.0.name: default
print.tmp.printerfeatures.CUPS/psc_1300_series.resolution.count: 1
print.tmp.printerfeatures.CUPS/psc_1300_series.supports_colorspace_change: false
print.tmp.printerfeatures.CUPS/psc_1300_series.supports_downloadfonts_change: false
print.tmp.printerfeatures.CUPS/psc_1300_series.supports_jobtitle_change: false
print.tmp.printerfeatures.CUPS/psc_1300_series.supports_orientation_change: true
print.tmp.printerfeatures.CUPS/psc_1300_series.supports_paper_size_change: true
print.tmp.printerfeatures.CUPS/psc_1300_series.supports_plex_change: false
print.tmp.printerfeatures.CUPS/psc_1300_series.supports_printincolor_change: true
print.tmp.printerfeatures.CUPS/psc_1300_series.supports_resolution_change: false
print.tmp.printerfeatures.CUPS/psc_1300_series.supports_spoolercommand_change: false
print.tmp.printerfeatures.CUPS/psc-1300-series.can_change_colorspace: false
print.tmp.printerfeatures.CUPS/psc-1300-series.can_change_downloadfonts: false
print.tmp.printerfeatures.CUPS/psc-1300-series.can_change_jobtitle: false
print.tmp.printerfeatures.CUPS/psc-1300-series.can_change_num_copies: true
print.tmp.printerfeatures.CUPS/psc-1300-series.can_change_orientation: true
print.tmp.printerfeatures.CUPS/psc-1300-series.can_change_paper_size: true
print.tmp.printerfeatures.CUPS/psc-1300-series.can_change_plex: false
print.tmp.printerfeatures.CUPS/psc-1300-series.can_change_printincolor: true
print.tmp.printerfeatures.CUPS/psc-1300-series.can_change_resolution: false
print.tmp.printerfeatures.CUPS/psc-1300-series.can_change_spoolercommand: false
print.tmp.printerfeatures.CUPS/psc-1300-series.colorspace.0.name: default
print.tmp.printerfeatures.CUPS/psc-1300-series.colorspace.count: 1
print.tmp.printerfeatures.CUPS/psc-1300-series.has_special_printerfeatures: true
print.tmp.printerfeatures.CUPS/psc-1300-series.orientation.0.name: portrait
print.tmp.printerfeatures.CUPS/psc-1300-series.orientation.1.name: landscape
print.tmp.printerfeatures.CUPS/psc-1300-series.orientation.count: 2
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.0.height_mm: 210
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.0.is_inch: false
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.0.name: A5
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.0.width_mm: 148
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.1.height_mm: 297
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.1.is_inch: false
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.1.name: A4
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.1.width_mm: 210
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.2.height_mm: 420
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.2.is_inch: false
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.2.name: A3
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.2.width_mm: 297
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.3.height_mm: 279
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.3.is_inch: true
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.3.name: Letter
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.3.width_mm: 215
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.4.height_mm: 355
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.4.is_inch: true
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.4.name: Legal
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.4.width_mm: 215
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.5.height_mm: 431
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.5.is_inch: true
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.5.name: Tabloid
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.5.width_mm: 279
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.6.height_mm: 254
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.6.is_inch: true
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.6.name: Executive
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.6.width_mm: 190
print.tmp.printerfeatures.CUPS/psc-1300-series.paper.count: 7
print.tmp.printerfeatures.CUPS/psc-1300-series.plex.0.name: default
print.tmp.printerfeatures.CUPS/psc-1300-series.plex.count: 1
print.tmp.printerfeatures.CUPS/psc-1300-series.resolution.0.name: default
print.tmp.printerfeatures.CUPS/psc-1300-series.resolution.count: 1
print.tmp.printerfeatures.CUPS/psc-1300-series.supports_colorspace_change: false
print.tmp.printerfeatures.CUPS/psc-1300-series.supports_downloadfonts_change: false
print.tmp.printerfeatures.CUPS/psc-1300-series.supports_jobtitle_change: false
print.tmp.printerfeatures.CUPS/psc-1300-series.supports_orientation_change: true
print.tmp.printerfeatures.CUPS/psc-1300-series.supports_paper_size_change: true
print.tmp.printerfeatures.CUPS/psc-1300-series.supports_plex_change: false
print.tmp.printerfeatures.CUPS/psc-1300-series.supports_printincolor_change: true
print.tmp.printerfeatures.CUPS/psc-1300-series.supports_resolution_change: false
print.tmp.printerfeatures.CUPS/psc-1300-series.supports_spoolercommand_change: false
print.tmp.printerfeatures.psc_1300_series_color.can_change_colorspace: false
print.tmp.printerfeatures.psc_1300_series_color.can_change_downloadfonts: false
print.tmp.printerfeatures.psc_1300_series_color.can_change_jobtitle: false
print.tmp.printerfeatures.psc_1300_series_color.can_change_num_copies: true
print.tmp.printerfeatures.psc_1300_series_color.can_change_orientation: true
print.tmp.printerfeatures.psc_1300_series_color.can_change_paper_size: true
print.tmp.printerfeatures.psc_1300_series_color.can_change_plex: false
print.tmp.printerfeatures.psc_1300_series_color.can_change_printincolor: true
print.tmp.printerfeatures.psc_1300_series_color.can_change_resolution: false
print.tmp.printerfeatures.psc_1300_series_color.can_change_spoolercommand: false
print.tmp.printerfeatures.psc_1300_series_color.colorspace.0.name: default
print.tmp.printerfeatures.psc_1300_series_color.colorspace.count: 1
print.tmp.printerfeatures.psc_1300_series_color.has_special_printerfeatures: true
print.tmp.printerfeatures.psc_1300_series_color.orientation.0.name: portrait
print.tmp.printerfeatures.psc_1300_series_color.orientation.1.name: landscape
print.tmp.printerfeatures.psc_1300_series_color.orientation.count: 2
print.tmp.printerfeatures.psc_1300_series_color.paper.0.height_mm: 210
print.tmp.printerfeatures.psc_1300_series_color.paper.0.is_inch: false
print.tmp.printerfeatures.psc_1300_series_color.paper.0.name: A5
print.tmp.printerfeatures.psc_1300_series_color.paper.0.width_mm: 148
print.tmp.printerfeatures.psc_1300_series_color.paper.1.height_mm: 297
print.tmp.printerfeatures.psc_1300_series_color.paper.1.is_inch: false
print.tmp.printerfeatures.psc_1300_series_color.paper.1.name: A4
print.tmp.printerfeatures.psc_1300_series_color.paper.1.width_mm: 210
print.tmp.printerfeatures.psc_1300_series_color.paper.2.height_mm: 420
print.tmp.printerfeatures.psc_1300_series_color.paper.2.is_inch: false
print.tmp.printerfeatures.psc_1300_series_color.paper.2.name: A3
print.tmp.printerfeatures.psc_1300_series_color.paper.2.width_mm: 297
print.tmp.printerfeatures.psc_1300_series_color.paper.3.height_mm: 279
print.tmp.printerfeatures.psc_1300_series_color.paper.3.is_inch: true
print.tmp.printerfeatures.psc_1300_series_color.paper.3.name: Letter
print.tmp.printerfeatures.psc_1300_series_color.paper.3.width_mm: 215
print.tmp.printerfeatures.psc_1300_series_color.paper.4.height_mm: 355
print.tmp.printerfeatures.psc_1300_series_color.paper.4.is_inch: true
print.tmp.printerfeatures.psc_1300_series_color.paper.4.name: Legal
print.tmp.printerfeatures.psc_1300_series_color.paper.4.width_mm: 215
print.tmp.printerfeatures.psc_1300_series_color.paper.5.height_mm: 431
print.tmp.printerfeatures.psc_1300_series_color.paper.5.is_inch: true
print.tmp.printerfeatures.psc_1300_series_color.paper.5.name: Tabloid
print.tmp.printerfeatures.psc_1300_series_color.paper.5.width_mm: 279
print.tmp.printerfeatures.psc_1300_series_color.paper.6.height_mm: 254
print.tmp.printerfeatures.psc_1300_series_color.paper.6.is_inch: true
print.tmp.printerfeatures.psc_1300_series_color.paper.6.name: Executive
print.tmp.printerfeatures.psc_1300_series_color.paper.6.width_mm: 190
print.tmp.printerfeatures.psc_1300_series_color.paper.count: 7
print.tmp.printerfeatures.psc_1300_series_color.plex.0.name: default
print.tmp.printerfeatures.psc_1300_series_color.plex.count: 1
print.tmp.printerfeatures.psc_1300_series_color.resolution.0.name: default
print.tmp.printerfeatures.psc_1300_series_color.resolution.count: 1
print.tmp.printerfeatures.psc_1300_series_color.supports_colorspace_change: false
print.tmp.printerfeatures.psc_1300_series_color.supports_downloadfonts_change: false
print.tmp.printerfeatures.psc_1300_series_color.supports_jobtitle_change: false
print.tmp.printerfeatures.psc_1300_series_color.supports_orientation_change: true
print.tmp.printerfeatures.psc_1300_series_color.supports_paper_size_change: true
print.tmp.printerfeatures.psc_1300_series_color.supports_plex_change: false
print.tmp.printerfeatures.psc_1300_series_color.supports_printincolor_change: true
print.tmp.printerfeatures.psc_1300_series_color.supports_resolution_change: false
print.tmp.printerfeatures.psc_1300_series_color.supports_spoolercommand_change: false
print.tmp.printerfeatures.psc_1300_series.can_change_colorspace: false
print.tmp.printerfeatures.psc_1300_series.can_change_downloadfonts: false
print.tmp.printerfeatures.psc_1300_series.can_change_jobtitle: false
print.tmp.printerfeatures.psc_1300_series.can_change_num_copies: true
print.tmp.printerfeatures.psc_1300_series.can_change_orientation: true
print.tmp.printerfeatures.psc_1300_series.can_change_paper_size: true
print.tmp.printerfeatures.psc_1300_series.can_change_plex: false
print.tmp.printerfeatures.psc_1300_series.can_change_printincolor: true
print.tmp.printerfeatures.psc_1300_series.can_change_resolution: false
print.tmp.printerfeatures.psc_1300_series.can_change_spoolercommand: false
print.tmp.printerfeatures.psc_1300_series.colorspace.0.name: default
print.tmp.printerfeatures.psc_1300_series.colorspace.count: 1
print.tmp.printerfeatures.psc_1300_series.has_special_printerfeatures: true
print.tmp.printerfeatures.psc_1300_series.orientation.0.name: portrait
print.tmp.printerfeatures.psc_1300_series.orientation.1.name: landscape
print.tmp.printerfeatures.psc_1300_series.orientation.count: 2
print.tmp.printerfeatures.psc_1300_series.paper.0.height_mm: 210
print.tmp.printerfeatures.psc_1300_series.paper.0.is_inch: false
print.tmp.printerfeatures.psc_1300_series.paper.0.name: A5
print.tmp.printerfeatures.psc_1300_series.paper.0.width_mm: 148
print.tmp.printerfeatures.psc_1300_series.paper.1.height_mm: 297
print.tmp.printerfeatures.psc_1300_series.paper.1.is_inch: false
print.tmp.printerfeatures.psc_1300_series.paper.1.name: A4
print.tmp.printerfeatures.psc_1300_series.paper.1.width_mm: 210
print.tmp.printerfeatures.psc_1300_series.paper.2.height_mm: 420
print.tmp.printerfeatures.psc_1300_series.paper.2.is_inch: false
print.tmp.printerfeatures.psc_1300_series.paper.2.name: A3
print.tmp.printerfeatures.psc_1300_series.paper.2.width_mm: 297
print.tmp.printerfeatures.psc_1300_series.paper.3.height_mm: 279
print.tmp.printerfeatures.psc_1300_series.paper.3.is_inch: true
print.tmp.printerfeatures.psc_1300_series.paper.3.name: Letter
print.tmp.printerfeatures.psc_1300_series.paper.3.width_mm: 215
print.tmp.printerfeatures.psc_1300_series.paper.4.height_mm: 355
print.tmp.printerfeatures.psc_1300_series.paper.4.is_inch: true
print.tmp.printerfeatures.psc_1300_series.paper.4.name: Legal
print.tmp.printerfeatures.psc_1300_series.paper.4.width_mm: 215
print.tmp.printerfeatures.psc_1300_series.paper.5.height_mm: 431
print.tmp.printerfeatures.psc_1300_series.paper.5.is_inch: true
print.tmp.printerfeatures.psc_1300_series.paper.5.name: Tabloid
print.tmp.printerfeatures.psc_1300_series.paper.5.width_mm: 279
print.tmp.printerfeatures.psc_1300_series.paper.6.height_mm: 254
print.tmp.printerfeatures.psc_1300_series.paper.6.is_inch: true
print.tmp.printerfeatures.psc_1300_series.paper.6.name: Executive
print.tmp.printerfeatures.psc_1300_series.paper.6.width_mm: 190
print.tmp.printerfeatures.psc_1300_series.paper.count: 7
print.tmp.printerfeatures.psc_1300_series.plex.0.name: default
print.tmp.printerfeatures.psc_1300_series.plex.count: 1
print.tmp.printerfeatures.psc_1300_series.resolution.0.name: default
print.tmp.printerfeatures.psc_1300_series.resolution.count: 1
print.tmp.printerfeatures.psc_1300_series.supports_colorspace_change: false
print.tmp.printerfeatures.psc_1300_series.supports_downloadfonts_change: false
print.tmp.printerfeatures.psc_1300_series.supports_jobtitle_change: false
print.tmp.printerfeatures.psc_1300_series.supports_orientation_change: true
print.tmp.printerfeatures.psc_1300_series.supports_paper_size_change: true
print.tmp.printerfeatures.psc_1300_series.supports_plex_change: false
print.tmp.printerfeatures.psc_1300_series.supports_printincolor_change: true
print.tmp.printerfeatures.psc_1300_series.supports_resolution_change: false
print.tmp.printerfeatures.psc_1300_series.supports_spoolercommand_change: false
print.tmp.printerfeatures.psc-1300-series.can_change_colorspace: false
print.tmp.printerfeatures.psc-1300-series.can_change_downloadfonts: false
print.tmp.printerfeatures.psc-1300-series.can_change_jobtitle: false
print.tmp.printerfeatures.psc-1300-series.can_change_num_copies: true
print.tmp.printerfeatures.psc-1300-series.can_change_orientation: true
print.tmp.printerfeatures.psc-1300-series.can_change_paper_size: true
print.tmp.printerfeatures.psc-1300-series.can_change_plex: false
print.tmp.printerfeatures.psc-1300-series.can_change_printincolor: true
print.tmp.printerfeatures.psc-1300-series.can_change_resolution: false
print.tmp.printerfeatures.psc-1300-series.can_change_spoolercommand: false
print.tmp.printerfeatures.psc-1300-series.colorspace.0.name: default
print.tmp.printerfeatures.psc-1300-series.colorspace.count: 1
print.tmp.printerfeatures.psc-1300-series.has_special_printerfeatures: true
print.tmp.printerfeatures.psc-1300-series.orientation.0.name: portrait
print.tmp.printerfeatures.psc-1300-series.orientation.1.name: landscape
print.tmp.printerfeatures.psc-1300-series.orientation.count: 2
print.tmp.printerfeatures.psc-1300-series.paper.0.height_mm: 210
print.tmp.printerfeatures.psc-1300-series.paper.0.is_inch: false
print.tmp.printerfeatures.psc-1300-series.paper.0.name: A5
print.tmp.printerfeatures.psc-1300-series.paper.0.width_mm: 148
print.tmp.printerfeatures.psc-1300-series.paper.1.height_mm: 297
print.tmp.printerfeatures.psc-1300-series.paper.1.is_inch: false
print.tmp.printerfeatures.psc-1300-series.paper.1.name: A4
print.tmp.printerfeatures.psc-1300-series.paper.1.width_mm: 210
print.tmp.printerfeatures.psc-1300-series.paper.2.height_mm: 420
print.tmp.printerfeatures.psc-1300-series.paper.2.is_inch: false
print.tmp.printerfeatures.psc-1300-series.paper.2.name: A3
print.tmp.printerfeatures.psc-1300-series.paper.2.width_mm: 297
print.tmp.printerfeatures.psc-1300-series.paper.3.height_mm: 279
print.tmp.printerfeatures.psc-1300-series.paper.3.is_inch: true
print.tmp.printerfeatures.psc-1300-series.paper.3.name: Letter
print.tmp.printerfeatures.psc-1300-series.paper.3.width_mm: 215
print.tmp.printerfeatures.psc-1300-series.paper.4.height_mm: 355
print.tmp.printerfeatures.psc-1300-series.paper.4.is_inch: true
print.tmp.printerfeatures.psc-1300-series.paper.4.name: Legal
print.tmp.printerfeatures.psc-1300-series.paper.4.width_mm: 215
print.tmp.printerfeatures.psc-1300-series.paper.5.height_mm: 431
print.tmp.printerfeatures.psc-1300-series.paper.5.is_inch: true
print.tmp.printerfeatures.psc-1300-series.paper.5.name: Tabloid
print.tmp.printerfeatures.psc-1300-series.paper.5.width_mm: 279
print.tmp.printerfeatures.psc-1300-series.paper.6.height_mm: 254
print.tmp.printerfeatures.psc-1300-series.paper.6.is_inch: true
print.tmp.printerfeatures.psc-1300-series.paper.6.name: Executive
print.tmp.printerfeatures.psc-1300-series.paper.6.width_mm: 190
print.tmp.printerfeatures.psc-1300-series.paper.count: 7
print.tmp.printerfeatures.psc-1300-series.plex.0.name: default
print.tmp.printerfeatures.psc-1300-series.plex.count: 1
print.tmp.printerfeatures.psc-1300-series.resolution.0.name: default
print.tmp.printerfeatures.psc-1300-series.resolution.count: 1
print.tmp.printerfeatures.psc-1300-series.supports_colorspace_change: false
print.tmp.printerfeatures.psc-1300-series.supports_downloadfonts_change: false
print.tmp.printerfeatures.psc-1300-series.supports_jobtitle_change: false
print.tmp.printerfeatures.psc-1300-series.supports_orientation_change: true
print.tmp.printerfeatures.psc-1300-series.supports_paper_size_change: true
print.tmp.printerfeatures.psc-1300-series.supports_plex_change: false
print.tmp.printerfeatures.psc-1300-series.supports_printincolor_change: true
print.tmp.printerfeatures.psc-1300-series.supports_resolution_change: false
print.tmp.printerfeatures.psc-1300-series.supports_spoolercommand_change: false
privacy.clearOnShutdown.cookies: false
privacy.clearOnShutdown.formdata: false
privacy.clearOnShutdown.sessions: false
privacy.cpd.cache: false
privacy.cpd.cookies: false
privacy.cpd.formdata: false
privacy.cpd.sessions: false
privacy.cpd.siteSettings: true
privacy.donottrackheader.enabled: true
privacy.item.formdata: false
privacy.item.sessions: false
privacy.sanitize.migrateClearSavedPwdsOnExit: true
privacy.sanitize.migrateFx3Prefs: true
privacy.sanitize.pending: [{"id":"newtab-container","itemsToClear":[],"options":{}}]
privacy.sanitize.timeSpan: 0
privacy.trackingprotection.enabled: true
privacy.trackingprotection.introCount: 20
security.default_personal_cert: Select Automatically
security.disable_button.openCertManager: false
security.remote_settings.intermediates.checked: 1562837790
security.sandbox.content.tempDirSuffix: 24da99d8-cf64-48da-876c-6ecea65eda9c
security.sandbox.plugin.tempDirSuffix: a362e03b-25df-4979-bfc6-428a0820b3de
security.warn_viewing_mixed: false
services.sync.declinedEngines:
services.sync.engine.bookmarks.validation.lastTime: 1541417058
services.sync.engine.passwords.validation.lastTime: 1541417058
services.sync.engine.prefs.modified: false
services.sync.lastPing: 1564137461
services.sync.lastSync: Fri Jul 26 2019 18:30:38 GMT+0200 (Central European Summer Time)
services.sync.numClients: 3
signon.importedFromSqlite: true
storage.vacuum.last.index: 0
storage.vacuum.last.places.sqlite: 1558219798

Important Locked Preferences
----------------------------

Places Database
---------------

JavaScript
----------

Incremental GC: true

Accessibility
-------------

Activated: false
Prevent Accessibility: 0

Library Versions
----------------

NSPR
Expected minimum version: 4.21
Version in use: 4.21

NSS
Expected minimum version: 3.44.1
Version in use: 3.44.1

NSSSMIME
Expected minimum version: 3.44.1
Version in use: 3.44.1

NSSSSL
Expected minimum version: 3.44.1
Version in use: 3.44.1

NSSUTIL
Expected minimum version: 3.44.1
Version in use: 3.44.1

Sandbox
-------

Seccomp-BPF (System Call Filtering): true
Seccomp Thread Synchronization: true
User Namespaces: true
Content Process Sandboxing: true
Media Plugin Sandboxing: true
Content Process Sandbox Level: 4
Effective Content Process Sandbox Level: 4

Rejected System Calls
---------------------

Internationalization & Localization
-----------------------------------

Application Settings
Requested Locales: ["en-US"]
Available Locales: ["en-US"]
App Locales: ["en-US","und"]
Regional Preferences: ["en-US","und"]
Default Locale: "und"
Operating System
System Locales: ["en-US"]
Regional Preferences: ["nl-NL"]

Comment 4 Hans de Goede 2019-08-10 22:33:14 UTC
I can confirm that this no longer happens with firefox-68.0.1-3.fc31, which has the following in its changelog:

* Mon Aug 05 2019 Jan Horak <jhorak@redhat.com> - 68.0.1-3
- Added workaround fix for webrtc indicator

I'm not sure if this workaround is going to stay around (for now) but if it is going to stay around then from my POV this bug can be closed.

Comment 5 Martin Stransky 2019-09-10 08:21:14 UTC
This is already fixed upstream and also Fedora packages has the patch, closing.


Note You need to log in before you can comment on or make changes to this bug.